Font::TTF::Anchor(3)

NAME
Font::TTF::Anchor - Anchor points for GPOS tables

DESCRIPTION
The Anchor defines an anchor point on a glyph providing various information depending on how much is available, including such information as the co-ordinates, a curve point and even device specific modifiers.

INSTANCE VARIABLES

x   XCoordinate of the anchor point

y   YCoordinate of the anchor point

p   Curve point on the glyph to use as the anchor point

xdev
    Device table (delta) for the xcoordinate

ydev
    Device table (delta) for the ycoordinate

xid XIdAnchor for multiple master horizontal metric id

yid YIdAnchor for multiple master vertical metric id

METHODS

  new
Creates a new Anchor

  read($fh)
Reads the anchor from the given file handle at that point. The file handle is left at an arbitrary read point, usually the end of something!

  out($fh, $style)
Outputs the Anchor to the given file handle at this point also addressing issues of deltas. If $style is set, then no output is sent to the file handle. The return value is the output string.

  $a->out_xml($context)
Outputs the anchor in XML

AUTHOR
Martin Hosken <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.